Bug 98952 - less segfaults, assertion fails
less segfaults, assertion fails
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: less (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-10 16:29 EDT by P Fudd
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 14:38:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Two testcases that cause 'less' to croak (428 bytes, application/octet-stream)
2003-07-10 16:30 EDT, P Fudd
no flags Details

  None (edit)
Description P Fudd 2003-07-10 16:29:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Less segfaults or fails an assertion if used to view some files.  I'm including
two sample files, which are just parts of a 'vim' session.

Version-Release number of selected component (if applicable):
less-378-7

How reproducible:
Always

Steps to Reproduce:
1. less togo.assert
2. less togo.segfault
3.
    

Actual Results:  % less togo.assert
less: multi.c:1232: buffering_multi: Assertion `mp->intindex == 0' failed.
Abort
% less togo.segfault
Segmentation fault



Expected Results:  It should have shown the file to the best of its ability, and
caught all errors.

Additional info:

Environment variables:
setenv LESS diErX
setenv LESSOPEN |/usr/bin/lesspipe.sh %s
Comment 1 P Fudd 2003-07-10 16:30:46 EDT
Created attachment 92866 [details]
Two testcases that cause 'less' to croak

These two files will cause less to segfault and fail an assertion
Comment 2 Florian La Roche 2003-10-03 14:38:30 EDT
Seems to work fine with 378-11

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.